require 'redmine'
require 'dispatcher'

unless Redmine::Plugin.registered_plugins.keys.include?(:redmine_multiple_files_upload)
	Redmine::Plugin.register :redmine_multiple_files_upload do
	  name 'Multiple files upload/download plugin'
	  author 'Vitaly Klimov'
	  author_url 'mailto:vitaly.klimov@snowbirdgames.com'
	  description 'Multiple files upload/download plugin for Redmine'
	  version '0.1.2'

  end

  require "mfu_hooks"
end

Dispatcher.to_prepare :redmine_multiple_files_upload do
  require 'mfu_patches'
  require_dependency 'attachments_helper'

  unless AttachmentsHelper.included_modules.include? MultipleFilesUpload::Patches::AttachmentsHelperPatch
    AttachmentsHelper.send(:include, MultipleFilesUpload::Patches::AttachmentsHelperPatch)
  end

end
