
module MultipleFilesUpload
  module Patches
    module AttachmentsHelperPatch
      def self.included(base) # :nodoc:
        base.send(:include, InstanceMethods)
        base.class_eval do
          unloadable
          alias_method_chain :link_to_attachments, :download
        end
      end

      module InstanceMethods
        def link_to_attachments_with_download(container, options = {})
          content=link_to_attachments_without_download(container, options)

          if container.attachments.any?
            case container.class.to_s
              when 'Issue'
                container_type='Issue'
              when 'WikiPage'
                container_type='Wiki'
              when 'Message'
                container_type='Message'
              else
                container_type=nil
            end

            if container_type
              content << content_tag(:div, :class => "mfu-attachments-download") do
                str=''
                str << link_to(l(:mfu_download_attachments_label),
                    {:controller => 'multiple_files_upload', :action => 'download',
                     :container_id => container.id, :container_type => container_type} )
                str
              end
            end
          end
          content
        end
      end
    end
  end
end

