
desc <<-END_DESC
Corrects mime types from "application/octet-stream" to real one, fixing multiple files upload plugin bug
END_DESC

namespace :redmine do
  task :mfu_correct_mime_types => :environment do

    attachments=Attachment.find(:all, :conditions => ["content_type = ?", 'application/octet-stream'], :include => [:container, :author] )
    unknown_mime_types=[]

    log_file=begin File.open('mfu_correct_mime_types.log','w') rescue nil end
    log_file.write("Total attachments found: #{attachments.size}\n") if log_file
    puts "Total attachments found: #{attachments.size}\n"

    total_attachments_processed=0
    attachments.each do |attach|
      content_type=Redmine::MimeType.of(attach.filename)
      unless content_type.nil?
        log_file.write("ID = #{attach.id}, filename = #{attach.filename}, type = #{content_type}\n")  if log_file
        attach.content_type = content_type
        attach.save
        total_attachments_processed += 1
      else
        unknown_mime_types << attach
      end
    end

    log_file.write("Total attachments corrected: #{total_attachments_processed}\n") if log_file
    puts "Total attachments corrected: #{total_attachments_processed}\n"
    unknown_mime_types.each do |attach|
      log_file.write("ID = #{attach.id}, filename = #{attach.filename}\n") if log_file
    end
    log_file.close if log_file
  end
end
